Subject: dpkg 1.0.6: upgrade dpkg before upgrading syslogd

From: Ian Jackson <[email-masked]>
Date: Tue, 21 Nov 95 20:57 GMT

I see that sysklogd - with a K - has been released again.  I added the
code to copy conffiles data across a few days ago, but hadn't made a
new release because I'm still working my way through quite a few
smallish TODO items.

When I've added the pre-dependency feature necessary for ELF migration
I'll make another release; when we've tested that in 1.0 for a while
I'll ask Ian M. to move it into the stable tree to get the new
features into people's systems in advance of them doing major
upgrades.

dpkg (1.0.6); priority=MEDIUM (HIGH to upgrade syslogd)

  * conffiles can now be taken over properly from one package by
    another which replaces it.  (Bug#1482.)
  * dpkg will not deconfigure essential packages when --auto-deconfigure
    is set (this bug was fairly unlikely ever to be exercised).

  * dpkg checks for the presence of certain important programs on the PATH.
  * dselect is now more informative when a dependency is missing, saying
    "<package> does not appear to be available".  (Bug#1642, 1705).

  * `make distclean' fixed; config.* &c removed from source archive.
  * lib/lock.c now uses fcntl rather than flock, for better portability.

  * `Package_Revision: 0' removed from control file.
  * Some inaccuracies and bad formatting in various messages corrected.

 -- Ian Jackson <[email-masked]>  Tue, 21 Nov 1995 20:15:18 +0000

413397c28b9b6a0fcc7b075b47a162a5  dpkg-1.0.6.deb
2986fb53cbd7241fadada2be1e75594c  dpkg-1.0.6.nondebbin.tar.gz
59a71d1244ee953e89c618768d6f44b3  dpkg-1.0.6.tar.gz
-rw-r--r--   1 root     root       193687 Nov 21 20:31 dpkg-1.0.6.deb
-rw-rw-r--   1 root     ian        190741 Nov 21 20:31 dpkg-1.0.6.nondebbin.tar.gz
-rw-rw-r--   1 ian      ian        249612 Nov 21 20:16 dpkg-1.0.6.tar.gz